VehicleInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class VehicleInfo

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.VehicleInfo

    public abstract class VehicleInfo

extends java.lang.Object

Keeps all descriptive information read from the .VEH file.

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`VehicleInfo()`

Method Summary
`int` | `getCarNumber()`
`java.lang.String` | `getCategory()`
`java.lang.String` | `getClasses()`
`java.lang.String` | `getDriverDescription()`
`java.lang.String` | `getDriverName()`
`java.lang.String` | `getEngineName()`
`java.lang.String` | `getFullTeamName()`
`java.lang.String` | `getManufacturer()`
`java.lang.String` | `getPitGroup()`
`java.lang.String` | `getTeamFounded()`
`java.lang.String` | `getTeamHeadquarters()`
`java.lang.String` | `getTeamName()`
`java.lang.String` | `getTeamNameCleaned()` Since "TeamName" in the .VEH file is used for sorting, we trim a numeric prefix from the name here.
`java.lang.String` | `getTeamPoles()`
`java.lang.String` | `getTeamStarts()`
`java.lang.String` | `getTeamWins()`
`java.lang.String` | `getTeamWorldChampionships()`
`protected void` | `setCarNumber(int carNumber)`
`protected void` | `setCategory(java.lang.String category)`
`protected void` | `setClasses(java.lang.String classes)`
`protected void` | `setDriverDescription(java.lang.String driverDescription)`
`protected void` | `setDriverName(java.lang.String driverName)`
`protected void` | `setEngineName(java.lang.String engineName)`
`protected void` | `setFullTeamName(java.lang.String fullTeamName)`
`protected void` | `setManufacturer(java.lang.String manufacturer)`
`protected void` | `setPitGroup(java.lang.String pitGroup)`
`protected void` | `setTeamFounded(java.lang.String teamFounded)`
`protected void` | `setTeamHeadquarters(java.lang.String teamHeadquarters)`
`protected void` | `setTeamName(java.lang.String teamName)`
`protected void` | `setTeamPoles(java.lang.String teamPoles)`
`protected void` | `setTeamStarts(java.lang.String teamStarts)`
`protected void` | `setTeamWins(java.lang.String teamWins)`
`protected void` | `setTeamWorldChampionships(java.lang.String teamWorldChampionships)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VehicleInfo

    public VehicleInfo()

Method Detail

### setCarNumber

    protected void setCarNumber(int carNumber)

### getCarNumber

    public final int getCarNumber()

### setTeamName

    protected void setTeamName(java.lang.String teamName)

### getTeamName

    public final java.lang.String getTeamName()

### getTeamNameCleaned

    public final java.lang.String getTeamNameCleaned()

  Since "TeamName" in the .VEH file is used for sorting, we trim a numeric prefix from the name here.

  Returns:
    the cleaned team name.

### setPitGroup

    protected void setPitGroup(java.lang.String pitGroup)

### getPitGroup

    public final java.lang.String getPitGroup()

### setDriverName

    protected void setDriverName(java.lang.String driverName)

### getDriverName

    public final java.lang.String getDriverName()

### setDriverDescription

    protected void setDriverDescription(java.lang.String driverDescription)

### getDriverDescription

    public final java.lang.String getDriverDescription()

### setEngineName

    protected void setEngineName(java.lang.String engineName)

### getEngineName

    public final java.lang.String getEngineName()

### setManufacturer

    protected void setManufacturer(java.lang.String manufacturer)

### getManufacturer

    public final java.lang.String getManufacturer()

### setClasses

    protected void setClasses(java.lang.String classes)

### getClasses

    public final java.lang.String getClasses()

### setFullTeamName

    protected void setFullTeamName(java.lang.String fullTeamName)

### getFullTeamName

    public final java.lang.String getFullTeamName()

### setTeamFounded

    protected void setTeamFounded(java.lang.String teamFounded)

### getTeamFounded

    public final java.lang.String getTeamFounded()

### setTeamHeadquarters

    protected void setTeamHeadquarters(java.lang.String teamHeadquarters)

### getTeamHeadquarters

    public final java.lang.String getTeamHeadquarters()

### setTeamStarts

    protected void setTeamStarts(java.lang.String teamStarts)

### getTeamStarts

    public final java.lang.String getTeamStarts()

### setTeamPoles

    protected void setTeamPoles(java.lang.String teamPoles)

### getTeamPoles

    public final java.lang.String getTeamPoles()

### setTeamWins

    protected void setTeamWins(java.lang.String teamWins)

### getTeamWins

    public final java.lang.String getTeamWins()

### setTeamWorldChampionships

    protected void setTeamWorldChampionships(java.lang.String teamWorldChampionships)

### getTeamWorldChampionships

    public final java.lang.String getTeamWorldChampionships()

### setCategory

    protected void setCategory(java.lang.String category)

### getCategory

    public final java.lang.String getCategory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD